//==============================================
// A statue of Cubic Man
//==============================================

class AMS_CubicManStatue extends UT_Decoration;

#exec OBJ LOAD FILE=../Textures/GenEarth.utx

#exec MESH MODELIMPORT MESH=AMS_CubicManStatue MODELFILE=../AMS_DemoModels/Models/CubicMan.PSK LODSTYLE=12
#exec MESH ORIGIN MESH=AMS_CubicManStatue X=0 Y=0 Z=135 YAW=192
// WEAPON has been omitted, because statues don't have weapons
#exec MESHMAP SCALE MESHMAP=AMS_CubicManStatue X=0.3125 Y=0.3125 Z=0.3125
#exec MESH DEFAULTANIM MESH=AMS_CubicManStatue ANIM=EpicUTPS2MaleAnimation

defaultproperties
{
Mesh=SkeletalMesh'AMS_CubicManStatue.AMS_CubicManStatue'
AnimSequence='Fighter'
MultiSkins(0)=Texture'GenEarth.RockFac1'
MultiSkins(1)=Texture'GenEarth.RockWal4'
MultiSkins(2)=Texture'GenEarth.RockWal5'
DrawType=DT_Mesh
}
